namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter11.Listing11_04
{
    using System;

    public sealed class Program
    {
        public static void Main()
        {
            try
            {
                // ...
                throw new InvalidOperationException(
        "Dowolny wyjątek");
                // ...
            }
            catch (NullReferenceException )
            {
                // Obsługa wyjątków typu NullReferenceException
            }
            catch (ArgumentException )
            {
                // Obsługa wyjątków typu ArgumentException
            }
            catch (InvalidOperationException )
            {
                // Obsługa wyjątków typu ApplicationException
            }
            catch (Exception )
            {
                // Obsługa wyjątków typu Exception
            }
            // Wyłączenie ostrzeżenia, ponieważ ten kod znajduje się w ogólnym bloku catch 
            // umieszczonym po bloku catch(Exception )
#pragma warning disable 1058
            catch
            {
                // Obsługa wszystkich nieprzechwyconych wyjątków.
            }
            finally
            {
                // Tu umieść dowolny kod do porządkowania zasobów, ponieważ
                // jest on uruchamiany niezależnie od tego, czy wystąpił wyjątek.
            }
        }
    }
}